org.apache.lucene.analysis

## Class MockUTF16TermAttributeImpl

- java.lang.Object
- - org.apache.lucene.util.AttributeImpl
  - - org.apache.lucene.analysis.tokenattributes.CharTermAttributeImpl
    - - org.apache.lucene.analysis.MockUTF16TermAttributeImpl

All Implemented Interfaces:
  Appendable, CharSequence, Cloneable, CharTermAttribute, TermToBytesRefAttribute, Attribute

    public class MockUTF16TermAttributeImpl
    extends CharTermAttributeImpl

Extension of `CharTermAttributeImpl` that encodes the term text as UTF-16 bytes instead of as UTF-8 bytes.

### Constructor Summary

Constructors
Constructor and Description
`MockUTF16TermAttributeImpl()`

### Method Summary

Methods
`int` `fillBytesRef()`

### Methods inherited from class org.apache.lucene.analysis.tokenattributes.CharTermAttributeImpl

`append, append, append, append, append, append, buffer, charAt, clear, clone, copyBuffer, copyTo, equals, getBytesRef, hashCode, length, reflectWith, resizeBuffer, setEmpty, setLength, subSequence, toString`

### Methods inherited from class org.apache.lucene.util.AttributeImpl

`reflectAsString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MockUTF16TermAttributeImpl

    public MockUTF16TermAttributeImpl()

### Method Detail

#### fillBytesRef

    public int fillBytesRef()

Specified by:
  `fillBytesRef` in interface `TermToBytesRefAttribute`
Overrides:
  `fillBytesRef` in class `CharTermAttributeImpl`